Page MenuHomePhabricator

Fix Newsletter failing builds on Jenkins
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterSelenium: change versions of webdriverio related packages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2018, 1:08 PM

Adding to Wikimedia hackathon board as we have the team here that can get this fixed.

@zeljkofilipin I was looking at the results of the build, and things of interest are:

Alpine users please run: `sudo apk add python make g++`
gyp WARN EACCES user "jenkins-deploy" does not have permission to access the dev dir "/nonexistent/.node-gyp/6.11.0"
gyp WARN EACCES attempting to reinstall using temporary dev dir "/tmp/.node-gyp"
Traceback (most recent call last):
  File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/gyp_main.py", line 13, in <module>
    import gyp
  File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/__init__.py", line 8, in <module>
    import gyp.input
  File "/usr/local/lib/node_modules/npm/node_modules/node-gyp/gyp/pylib/gyp/input.py", line 5, in <module>
    from compiler.ast import Const
ImportError: No module named compiler.ast
gyp ERR! configure error 
gyp ERR! stack Error: `gyp` failed with exit code: 1

``
do you think this has to do with the extension code, or the test running setup ?
zeljkofilipin added a comment.EditedMay 17 2019, 3:11 PM

@01tonythomas let's schedule a time to pair on this. Saturday 12:00?

zeljkofilipin triaged this task as Normal priority.May 18 2019, 11:18 AM

Change 511010 had a related patch set uploaded (by Zfilipin; owner: 01tonythomas):
[mediawiki/extensions/Newsletter@master] Selenium: change versions of webdriverio related packages

https://gerrit.wikimedia.org/r/511010

Change 511010 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Selenium: change versions of webdriverio related packages

https://gerrit.wikimedia.org/r/511010

01tonythomas closed this task as Resolved.May 18 2019, 12:52 PM
01tonythomas claimed this task.

Thanks @zeljkofilipin ! This is green now! a